For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

List users

get
Authorizations
AuthorizationstringRequired

Prefix the value with "ApiKey" to indicate the custom authorization type

Query parameters
filterstringOptional

Fetch user with a given name or email address using SCIM operators

Examples:

emails.value eq "test@email.com"

name.givenName eq "James" and name.familyName eq "Bond"

startIndexintegerOptional

The 1-based start index of the first user to be returned

countintegerOptional

The number of users to be returned. A maximum of 50 users will be returned in a page.

attributesstringOptional

Comma-separated SCIM defined attributes to be returned. Required attributes are always returned

excludedAttributesstringOptional

Comma-separated SCIM defined attributes to be excluded. Required attributes cannot be excluded

Responses
200

List of users

application/scim+json
totalResultsinteger · int64Required

The total number of users available

Example: 102
itemsPerPageinteger · int32Required

The number of users in the returned page

Example: 1
startIndexinteger · int32Required

The 1-based index of the first user in the returned page

Example: 1
schemasstring[]Required

The schemas defining the attributes of the user resources list.

Example: ["urn:ietf:params:scim:api:messages:2.0:ListResponse"]
get/scim/v2/Users
GET /scim/v2/Users HTTP/1.1
Host: apipub.firstbasehq.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "totalResults": 102,
  "itemsPerPage": 1,
  "startIndex": 1,
  "Resources": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "addresses": [
        {
          "country": "US",
          "locality": "New York City",
          "postalCode": "10123",
          "region": "NY",
          "streetAddress": "123 Sesame Street\nSuite 103",
          "primary": true
        }
      ],
      "userName": "jenny.smith@example.com",
      "emails": [
        {
          "value": "jenny.smith@example.com",
          "primary": true
        }
      ],
      "name": {
        "familyName": "Smith",
        "givenName": "Jenny"
      },
      "phoneNumbers": [
        {
          "value": "1+555-867-5309",
          "primary": true
        }
      ],
      "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User": {
        "packageId": "d1b0fd87-5fc9-410c-b641-0b7146896ccd",
        "startDate": "2022-02-01",
        "status": "ACTIVE",
        "skipUserActivation": false
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User",
        "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"
      ]
    }
  ],
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ]
}

Get a user by id

get
Authorizations
AuthorizationstringRequired

Prefix the value with "ApiKey" to indicate the custom authorization type

Path parameters
idstringRequired

Unique id of the user

Query parameters
attributesstringOptional

Comma-separated SCIM defined attributes to be returned. Required attributes are always returned

excludedAttributesstringOptional

Comma-separated SCIM defined attributes to be excluded. Required attributes cannot be excluded

Responses
200

User has been found

application/scim+json
idstring · uuidRead-onlyRequired
userNamestringRequired

The userName must match the primary email address.

Example: jenny.smith@example.com
schemasstring[]Required

The schemas defining the attributes of the resources.

Example: ["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"]
get/scim/v2/Users/{id}
GET /scim/v2/Users/{id} HTTP/1.1
Host: apipub.firstbasehq.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "addresses": [
    {
      "country": "US",
      "locality": "New York City",
      "postalCode": "10123",
      "region": "NY",
      "streetAddress": "123 Sesame Street\nSuite 103",
      "primary": true
    }
  ],
  "userName": "jenny.smith@example.com",
  "emails": [
    {
      "value": "jenny.smith@example.com",
      "primary": true
    }
  ],
  "name": {
    "familyName": "Smith",
    "givenName": "Jenny"
  },
  "phoneNumbers": [
    {
      "value": "1+555-867-5309",
      "primary": true
    }
  ],
  "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User": {
    "packageId": "d1b0fd87-5fc9-410c-b641-0b7146896ccd",
    "startDate": "2022-02-01",
    "status": "ACTIVE",
    "skipUserActivation": false
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User",
    "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"
  ]
}

Create a new user within Firstbase

post
Authorizations
AuthorizationstringRequired

Prefix the value with "ApiKey" to indicate the custom authorization type

Query parameters
attributesstringOptional

Comma-separated SCIM defined attributes to be returned. Required attributes are always returned

excludedAttributesstringOptional

Comma-separated SCIM defined attributes to be excluded. Required attributes cannot be excluded

Body
idstring · uuidRead-onlyRequired
userNamestringRequired

The userName must match the primary email address.

Example: jenny.smith@example.com
schemasstring[]Required

The schemas defining the attributes of the resources.

Example: ["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"]
Responses
201

User has been created

application/scim+json
idstring · uuidRead-onlyRequired
userNamestringRequired

The userName must match the primary email address.

Example: jenny.smith@example.com
schemasstring[]Required

The schemas defining the attributes of the resources.

Example: ["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"]
post/scim/v2/Users
POST /scim/v2/Users HTTP/1.1
Host: apipub.firstbasehq.com
Authorization: YOUR_API_KEY
Content-Type: application/scim+json
Accept: */*
Content-Length: 664

{
  "addresses": [
    {
      "country": "US",
      "locality": "New York City",
      "postalCode": "10123",
      "region": "NY",
      "streetAddress": "123 Sesame Street\nSuite 103",
      "primary": true
    }
  ],
  "userName": "jenny.smith@example.com",
  "emails": [
    {
      "value": "jenny.smith@example.com",
      "primary": true
    }
  ],
  "name": {
    "familyName": "Smith",
    "givenName": "Jenny"
  },
  "phoneNumbers": [
    {
      "value": "1+555-867-5309",
      "primary": true
    }
  ],
  "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User": {
    "packageId": "d1b0fd87-5fc9-410c-b641-0b7146896ccd",
    "startDate": "2022-02-01",
    "status": "ACTIVE",
    "skipUserActivation": false
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User",
    "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "addresses": [
    {
      "country": "US",
      "locality": "New York City",
      "postalCode": "10123",
      "region": "NY",
      "streetAddress": "123 Sesame Street\nSuite 103",
      "primary": true
    }
  ],
  "userName": "jenny.smith@example.com",
  "emails": [
    {
      "value": "jenny.smith@example.com",
      "primary": true
    }
  ],
  "name": {
    "familyName": "Smith",
    "givenName": "Jenny"
  },
  "phoneNumbers": [
    {
      "value": "1+555-867-5309",
      "primary": true
    }
  ],
  "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User": {
    "packageId": "d1b0fd87-5fc9-410c-b641-0b7146896ccd",
    "startDate": "2022-02-01",
    "status": "ACTIVE",
    "skipUserActivation": false
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User",
    "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"
  ]
}

Update an existing user within Firstbase

put
Authorizations
AuthorizationstringRequired

Prefix the value with "ApiKey" to indicate the custom authorization type

Path parameters
idstringRequired
Query parameters
attributesstringOptional

Comma-separated SCIM defined attributes to be returned. Required attributes are always returned

excludedAttributesstringOptional

Comma-separated SCIM defined attributes to be excluded. Required attributes cannot be excluded

Body
idstring · uuidRead-onlyRequired
userNamestringRequired

The userName must match the primary email address.

Example: jenny.smith@example.com
schemasstring[]Required

The schemas defining the attributes of the resources.

Example: ["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"]
Responses
200

User has been updated

application/scim+json
idstring · uuidRead-onlyRequired
userNamestringRequired

The userName must match the primary email address.

Example: jenny.smith@example.com
schemasstring[]Required

The schemas defining the attributes of the resources.

Example: ["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"]
put/scim/v2/Users/{id}
PUT /scim/v2/Users/{id} HTTP/1.1
Host: apipub.firstbasehq.com
Authorization: YOUR_API_KEY
Content-Type: application/scim+json
Accept: */*
Content-Length: 664

{
  "addresses": [
    {
      "country": "US",
      "locality": "New York City",
      "postalCode": "10123",
      "region": "NY",
      "streetAddress": "123 Sesame Street\nSuite 103",
      "primary": true
    }
  ],
  "userName": "jenny.smith@example.com",
  "emails": [
    {
      "value": "jenny.smith@example.com",
      "primary": true
    }
  ],
  "name": {
    "familyName": "Smith",
    "givenName": "Jenny"
  },
  "phoneNumbers": [
    {
      "value": "1+555-867-5309",
      "primary": true
    }
  ],
  "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User": {
    "packageId": "d1b0fd87-5fc9-410c-b641-0b7146896ccd",
    "startDate": "2022-02-01",
    "status": "ACTIVE",
    "skipUserActivation": false
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User",
    "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "addresses": [
    {
      "country": "US",
      "locality": "New York City",
      "postalCode": "10123",
      "region": "NY",
      "streetAddress": "123 Sesame Street\nSuite 103",
      "primary": true
    }
  ],
  "userName": "jenny.smith@example.com",
  "emails": [
    {
      "value": "jenny.smith@example.com",
      "primary": true
    }
  ],
  "name": {
    "familyName": "Smith",
    "givenName": "Jenny"
  },
  "phoneNumbers": [
    {
      "value": "1+555-867-5309",
      "primary": true
    }
  ],
  "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User": {
    "packageId": "d1b0fd87-5fc9-410c-b641-0b7146896ccd",
    "startDate": "2022-02-01",
    "status": "ACTIVE",
    "skipUserActivation": false
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User",
    "urn:ietf:params:scim:schemas:extension:firstbase:1.0:User"
  ]
}

Delete a user from Firstbase

delete

Deleting a User will start the Offboarding process for the user. This is a SOFT delete, in which the user will still have access to the Firstbase platform until offboarding has completed

Authorizations
AuthorizationstringRequired

Prefix the value with "ApiKey" to indicate the custom authorization type

Path parameters
idstringRequired

Unique id of the user

Responses
204

User has been deleted and offboarding has started

application/scim+json
delete/scim/v2/Users/{id}
DELETE /scim/v2/Users/{id} HTTP/1.1
Host: apipub.firstbasehq.com
Authorization: YOUR_API_KEY
Accept: */*

Last updated